/* Precision non infinie des reels stockes       */
/* dans des variables de type double             */
/* Erreurs de calcul successives                 */
/* sur la fonction Math.sqrt                     */
/* -> Amplification de l'erreur resultante       */

public class TestPrecisionSqrtDoubleEnConsole {

///////////////////////////////////////////////////

  /* Precision non infinie des reels stockes     */
  /* dans des variables de type double           */
  /* Erreurs de calcul successives               */
  /* sur la fonction Math.sqrt                   */
  /* -> Amplification de l'erreur resultante     */

  public static void main(String [] args) {
    Console.setTitle("TestPrecisionSqrtDouble");
    double v;
    for ( int i = 1 ; i <= 55 ; i++ ) {
      Console.formater("%2d",i);
      v = 2.0;
      for ( int j = 0 ; j < i ; j++ ) {
        v = Math.sqrt(v); }
      Console.formater("%24.19f",v);
      for ( int j = 0 ; j < i ; j++ ) {
        v = v*v; }
      Console.formater("%24.19f\n",v); }
  }

///////////////////////////////////////////////////
}